#ifndef FILE_H
#define FILE_H

//****************************************************************************************
//* Include File
//*
//* by D. Buergin (daniel.buergin@bluewin.ch)
//****************************************************************************************
//* Revision:
//*
//* 19-Jan-2009 bue First Version
//****************************************************************************************

#include <avr/io.h>
#include "fat.h"
#include "fat_config.h"
#include "partition.h"
#include "sd_raw.h"
#include "sd_raw_config.h"

extern uint8_t print_disk_info(const struct fat_fs_struct* fs);
extern uint8_t find_file_in_dir(struct fat_fs_struct* fs, struct fat_dir_struct* dd, const char* name, struct fat_dir_entry_struct* dir_entry);
extern struct fat_file_struct* open_file_in_dir(struct fat_fs_struct* fs, struct fat_dir_struct* dd, const char* name);

#endif
